CMakeCCompilerId.c File Reference

Go to the source code of this file.

## Macros

#define | __has_include(x) 0
#define | COMPILER_ID ""
#define | STRINGIFY_HELPER(X) #X
#define | STRINGIFY(X) STRINGIFY_HELPER(X)
#define | PLATFORM_ID
#define | ARCHITECTURE_ID
#define | DEC(n)
#define | HEX(n)
#define | C_VERSION

## Functions

int | main (int argc, char *argv[])

## Variables

char const * | info_compiler = "INFO" ":" "compiler[" COMPILER_ID "]"
char const * | info_platform = "INFO" ":" "platform[" PLATFORM_ID "]"
char const * | info_arch = "INFO" ":" "arch[" ARCHITECTURE_ID "]"
const char * | info_language_standard_default
const char * | info_language_extensions_default

## Macro Definition Documentation

## __has_include

#define __has_include | ( |  | x | ) | 0

Definition at line 17 of file CMakeCCompilerId.c.

## ARCHITECTURE_ID

#define ARCHITECTURE_ID

Definition at line 730 of file CMakeCCompilerId.c.

## C_VERSION

#define C_VERSION

Definition at line 819 of file CMakeCCompilerId.c.

## COMPILER_ID

#define COMPILER_ID ""

Definition at line 441 of file CMakeCCompilerId.c.

## DEC

#define DEC | ( |  | n | ) |

Value:
('0' + (((n) / 10000000)%10)), \
('0' + (((n) / 1000000)%10)), \
('0' + (((n) / 100000)%10)), \
('0' + (((n) / 10000)%10)), \
('0' + (((n) / 1000)%10)), \
('0' + (((n) / 100)%10)), \
('0' + (((n) / 10)%10)), \
('0' + ((n) % 10))

Definition at line 734 of file CMakeCCompilerId.c.

## HEX

#define HEX | ( |  | n | ) |

Value:
('0' + ((n)>>28 & 0xF)), \
('0' + ((n)>>24 & 0xF)), \
('0' + ((n)>>20 & 0xF)), \
('0' + ((n)>>16 & 0xF)), \
('0' + ((n)>>12 & 0xF)), \
('0' + ((n)>>8 & 0xF)), \
('0' + ((n)>>4 & 0xF)), \
('0' + ((n) & 0xF))

Definition at line 745 of file CMakeCCompilerId.c.

## PLATFORM_ID

#define PLATFORM_ID

Definition at line 572 of file CMakeCCompilerId.c.

## STRINGIFY

#define STRINGIFY | ( |  | X | ) | STRINGIFY_HELPER(X)

Definition at line 462 of file CMakeCCompilerId.c.

## STRINGIFY_HELPER

#define STRINGIFY_HELPER | ( |  | X | ) | #X

Definition at line 461 of file CMakeCCompilerId.c.

## Function Documentation

## main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 853 of file CMakeCCompilerId.c.

References info_arch, info_compiler, info_language_extensions_default, info_language_standard_default, and info_platform.

## Variable Documentation

## info_arch

char const* info_arch = "INFO" ":" "arch[" ARCHITECTURE_ID "]"

Definition at line 811 of file CMakeCCompilerId.c.

Referenced by main().

## info_compiler

char const* info_compiler = "INFO" ":" "compiler[" COMPILER_ID "]"

Definition at line 448 of file CMakeCCompilerId.c.

Referenced by main().

## info_language_extensions_default

const char* info_language_extensions_default

Initial value:
= "INFO" ":" "extensions_default["
"OFF"
"]"

Definition at line 835 of file CMakeCCompilerId.c.

Referenced by main().

## info_language_standard_default

const char* info_language_standard_default

Initial value:
=
"INFO" ":" "standard_default[" C_VERSION "]"
C_VERSION
#define C_VERSION
Definition CMakeCCompilerId.c:819

Definition at line 832 of file CMakeCCompilerId.c.

Referenced by main().

## info_platform

char const* info_platform = "INFO" ":" "platform[" PLATFORM_ID "]"

Definition at line 810 of file CMakeCCompilerId.c.

Referenced by main().